X2Go Bug report logs - #815
x2goserver not installable Ubuntu 14.04

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Ralf Hemberger <ralf.hemberger@gmail.com>

Date: Sat, 14 Mar 2015 00:40:01 UTC

Severity: normal

Merged with 816, 817

Found in version 3.5.0.29

Fixed in version 3.5.0.30

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#815; Package x2goserver. (Sat, 14 Mar 2015 00:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ralf Hemberger <ralf.hemberger@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 14 Mar 2015 00:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Ralf Hemberger <ralf.hemberger@gmail.com>
To: submit@bugs.x2go.org
Subject: x2goserver not installable Ubuntu 14.04
Date: Sat, 14 Mar 2015 01:39:35 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.19-0~1062~ubuntu14.04.1

Hello,

today apt-get upgrade removed x2goserver from my ubuntu amd64 machine.

When i try to reinstall (sudo apt-get install x2goserver
x2goserver-xsession), I finally get:

ralf@videobox:~$ sudo apt-get --reinstall install nxagent
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 nxagent : Hängt ab von: libnx-x11-6 (>= 3.5.0.29) soll aber nicht
installiert werden
           Hängt ab von: libnx-xext6 (>= 3.5.0.29) soll aber nicht
installiert werden
           Hängt ab von: libnx-xpm4 (>= 3.5.0.29) soll aber nicht
installiert werden
           Hängt ab von: libnx-xrender1 (>= 3.5.0.29) soll aber nicht
installiert werden
           Hängt ab von: libxcompext3 soll aber nicht installiert werden
           Hängt ab von: libxcompshad3 soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene
defekte Pakete.
ralf@videobox:~$ apt-cache policy libnx-x11-6
libnx-x11-6:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libnx-xext6
libnx-xext6:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libnx-xpm4
libnx-xpm4:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libnx-xrender1
libnx-xrender1:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libxcompext3
libxcompext3:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
ralf@videobox:~$ apt-cache policy libxcompshad3
libxcompshad3:
  Installiert:           2:3.5.0.29-0~592~ubuntu14.04.1
  Installationskandidat: 2:3.5.0.29-0~592~ubuntu14.04.1
  Versionstabelle:
 *** 2:3.5.0.29-0~592~ubuntu14.04.1 0
        500 http://ppa.launchpad.net/x2go/stable/ubuntu/ trusty/main amd64
Packages
        100 /var/lib/dpkg/status
     3.3.0-3-0ubuntu1 0
        500 http://ftp-stud.hs-esslingen.de/ubuntu/ trusty/universe amd64
Packages
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#815; Package x2goserver. (Sat, 14 Mar 2015 21:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Ralf Hemberger <ralf.hemberger@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 14 Mar 2015 21:25:02 GMT) (full text, mbox, link).


Message #10 received at 815@bugs.x2go.org (full text, mbox, reply):

From: Ralf Hemberger <ralf.hemberger@gmail.com>
To: 815@bugs.x2go.org
Subject: Bug#815: (x2goserver not installable Ubuntu 14.04)
Date: Sat, 14 Mar 2015 22:23:30 +0100
[Message part 1 (text/plain, inline)]
Hello,

x2goserver 4.0.1.19-0~1063~ubuntu14.04.1 resolves this issue.

Thank You
Ralf
[Message part 2 (text/html, inline)]

Bug reassigned from package 'x2goserver' to 'nx-libs'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.1.19-0~1062~ubuntu14.04.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Marked as found in versions 3.5.0.29. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Marked as fixed in versions 3.5.0.30. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Merged 815 816 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 14 Mar 2015 23:40:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#815; Package nx-libs. (Mon, 16 Mar 2015 07:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 Mar 2015 07:25:02 GMT) (full text, mbox, link).


Message #27 received at 815@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ralf Hemberger <ralf.hemberger@gmail.com>, 815@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#815: x2goserver not installable Ubuntu 14.04
Date: Mon, 16 Mar 2015 07:23:00 +0000
[Message part 1 (text/plain, inline)]
Control: close -1

Hi Ralf,

On  Sa 14 Mär 2015 01:39:35 CET, Ralf Hemberger wrote:

> Package: x2goserver
> Version: 4.0.1.19-0~1062~ubuntu14.04.1
>
> Hello,
>
> today apt-get upgrade removed x2goserver from my ubuntu amd64 machine.
>
> When i try to reinstall (sudo apt-get install x2goserver
> x2goserver-xsession), I finally get:
>

This issue should have been fixed by doing a version bump on nx-libs  
(3.5.0.29 -> 3.5.0.30).

Thanks for reporting,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 815-submit@bugs.x2go.org. (Mon, 16 Mar 2015 07:25:03 GMT) (full text, mbox, link).


Notification sent to Ralf Hemberger <ralf.hemberger@gmail.com>:
Bug acknowledged by developer. (Mon, 16 Mar 2015 07:25:03 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 07:35:01 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 07:35:01 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 07:35:02 GMT) (full text, mbox, link).


Merged 815 816 817 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 07:35:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 14 Apr 2015 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Oct 20 15:11:45 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.